// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: event/charger/StartTransaction.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Event.Charger {

  /// <summary>Holder for reflection information generated from event/charger/StartTransaction.proto</summary>
  public static partial class StartTransactionReflection {

    #region Descriptor
    /// <summary>File descriptor for event/charger/StartTransaction.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static StartTransactionReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiRldmVudC9jaGFyZ2VyL1N0YXJ0VHJhbnNhY3Rpb24ucHJvdG8SDWV2ZW50",
            "LmNoYXJnZXIaH2dvb2dsZS9wcm90b2J1Zi90aW1lc3RhbXAucHJvdG8ixQEK",
            "EFN0YXJ0VHJhbnNhY3Rpb24SGQoRZGV2aWNlX2lkZW50aWZpZXIYASABKAkS",
            "FAoMY29ubmVjdG9yX2lkGAIgASgFEg4KBmlkX3RhZxgDIAEoCRITCgttZXRl",
            "cl9zdGFydBgEIAEoBRIbCg5yZXNlcnZhdGlvbl9pZBgFIAEoBUgAiAEBEhMK",
            "C2lkX3RhZ19pbmZvGAcgASgJEhYKDnRyYW5zYWN0aW9uX2lkGAggASgFQhEK",
            "D19yZXNlcnZhdGlvbl9pZEKIAQofY29tLmNvZGlibHkubW9kZWwuZXZlbnQu",
            "Y2hhcmdlckIVU3RhcnRUcmFuc2FjdGlvblByb3RvygIfRG9tYWluTW9kZWxc",
            "UHJvdG9cRXZlbnRcQ2hhcmdlcuICK0RvbWFpbk1vZGVsXFByb3RvXEV2ZW50",
            "XENoYXJnZXJcR1BCTWV0YWRhdGFiBnByb3RvMw=="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Event.Charger.StartTransaction), global::Event.Charger.StartTransaction.Parser, new[]{ "DeviceIdentifier", "ConnectorId", "IdTag", "MeterStart", "ReservationId", "IdTagInfo", "TransactionId" }, new[]{ "ReservationId" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class StartTransaction : pb::IMessage<StartTransaction>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<StartTransaction> _parser = new pb::MessageParser<StartTransaction>(() => new StartTransaction());
    private pb::UnknownFieldSet _unknownFields;
    private int _hasBits0;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<StartTransaction> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Event.Charger.StartTransactionReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public StartTransaction() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public StartTransaction(StartTransaction other) : this() {
      _hasBits0 = other._hasBits0;
      deviceIdentifier_ = other.deviceIdentifier_;
      connectorId_ = other.connectorId_;
      idTag_ = other.idTag_;
      meterStart_ = other.meterStart_;
      reservationId_ = other.reservationId_;
      idTagInfo_ = other.idTagInfo_;
      transactionId_ = other.transactionId_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public StartTransaction Clone() {
      return new StartTransaction(this);
    }

    /// <summary>Field number for the "device_identifier" field.</summary>
    public const int DeviceIdentifierFieldNumber = 1;
    private string deviceIdentifier_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string DeviceIdentifier {
      get { return deviceIdentifier_; }
      set {
        deviceIdentifier_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "connector_id" field.</summary>
    public const int ConnectorIdFieldNumber = 2;
    private int connectorId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int ConnectorId {
      get { return connectorId_; }
      set {
        connectorId_ = value;
      }
    }

    /// <summary>Field number for the "id_tag" field.</summary>
    public const int IdTagFieldNumber = 3;
    private string idTag_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string IdTag {
      get { return idTag_; }
      set {
        idTag_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "meter_start" field.</summary>
    public const int MeterStartFieldNumber = 4;
    private int meterStart_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int MeterStart {
      get { return meterStart_; }
      set {
        meterStart_ = value;
      }
    }

    /// <summary>Field number for the "reservation_id" field.</summary>
    public const int ReservationIdFieldNumber = 5;
    private int reservationId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int ReservationId {
      get { if ((_hasBits0 & 1) != 0) { return reservationId_; } else { return 0; } }
      set {
        _hasBits0 |= 1;
        reservationId_ = value;
      }
    }
    /// <summary>Gets whether the "reservation_id" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasReservationId {
      get { return (_hasBits0 & 1) != 0; }
    }
    /// <summary>Clears the value of the "reservation_id" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearReservationId() {
      _hasBits0 &= ~1;
    }

    /// <summary>Field number for the "id_tag_info" field.</summary>
    public const int IdTagInfoFieldNumber = 7;
    private string idTagInfo_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string IdTagInfo {
      get { return idTagInfo_; }
      set {
        idTagInfo_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "transaction_id" field.</summary>
    public const int TransactionIdFieldNumber = 8;
    private int transactionId_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int TransactionId {
      get { return transactionId_; }
      set {
        transactionId_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as StartTransaction);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(StartTransaction other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (DeviceIdentifier != other.DeviceIdentifier) return false;
      if (ConnectorId != other.ConnectorId) return false;
      if (IdTag != other.IdTag) return false;
      if (MeterStart != other.MeterStart) return false;
      if (ReservationId != other.ReservationId) return false;
      if (IdTagInfo != other.IdTagInfo) return false;
      if (TransactionId != other.TransactionId) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (DeviceIdentifier.Length != 0) hash ^= DeviceIdentifier.GetHashCode();
      if (ConnectorId != 0) hash ^= ConnectorId.GetHashCode();
      if (IdTag.Length != 0) hash ^= IdTag.GetHashCode();
      if (MeterStart != 0) hash ^= MeterStart.GetHashCode();
      if (HasReservationId) hash ^= ReservationId.GetHashCode();
      if (IdTagInfo.Length != 0) hash ^= IdTagInfo.GetHashCode();
      if (TransactionId != 0) hash ^= TransactionId.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (DeviceIdentifier.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(DeviceIdentifier);
      }
      if (ConnectorId != 0) {
        output.WriteRawTag(16);
        output.WriteInt32(ConnectorId);
      }
      if (IdTag.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(IdTag);
      }
      if (MeterStart != 0) {
        output.WriteRawTag(32);
        output.WriteInt32(MeterStart);
      }
      if (HasReservationId) {
        output.WriteRawTag(40);
        output.WriteInt32(ReservationId);
      }
      if (IdTagInfo.Length != 0) {
        output.WriteRawTag(58);
        output.WriteString(IdTagInfo);
      }
      if (TransactionId != 0) {
        output.WriteRawTag(64);
        output.WriteInt32(TransactionId);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (DeviceIdentifier.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(DeviceIdentifier);
      }
      if (ConnectorId != 0) {
        output.WriteRawTag(16);
        output.WriteInt32(ConnectorId);
      }
      if (IdTag.Length != 0) {
        output.WriteRawTag(26);
        output.WriteString(IdTag);
      }
      if (MeterStart != 0) {
        output.WriteRawTag(32);
        output.WriteInt32(MeterStart);
      }
      if (HasReservationId) {
        output.WriteRawTag(40);
        output.WriteInt32(ReservationId);
      }
      if (IdTagInfo.Length != 0) {
        output.WriteRawTag(58);
        output.WriteString(IdTagInfo);
      }
      if (TransactionId != 0) {
        output.WriteRawTag(64);
        output.WriteInt32(TransactionId);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (DeviceIdentifier.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(DeviceIdentifier);
      }
      if (ConnectorId != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(ConnectorId);
      }
      if (IdTag.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(IdTag);
      }
      if (MeterStart != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(MeterStart);
      }
      if (HasReservationId) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(ReservationId);
      }
      if (IdTagInfo.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(IdTagInfo);
      }
      if (TransactionId != 0) {
        size += 1 + pb::CodedOutputStream.ComputeInt32Size(TransactionId);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(StartTransaction other) {
      if (other == null) {
        return;
      }
      if (other.DeviceIdentifier.Length != 0) {
        DeviceIdentifier = other.DeviceIdentifier;
      }
      if (other.ConnectorId != 0) {
        ConnectorId = other.ConnectorId;
      }
      if (other.IdTag.Length != 0) {
        IdTag = other.IdTag;
      }
      if (other.MeterStart != 0) {
        MeterStart = other.MeterStart;
      }
      if (other.HasReservationId) {
        ReservationId = other.ReservationId;
      }
      if (other.IdTagInfo.Length != 0) {
        IdTagInfo = other.IdTagInfo;
      }
      if (other.TransactionId != 0) {
        TransactionId = other.TransactionId;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            DeviceIdentifier = input.ReadString();
            break;
          }
          case 16: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 26: {
            IdTag = input.ReadString();
            break;
          }
          case 32: {
            MeterStart = input.ReadInt32();
            break;
          }
          case 40: {
            ReservationId = input.ReadInt32();
            break;
          }
          case 58: {
            IdTagInfo = input.ReadString();
            break;
          }
          case 64: {
            TransactionId = input.ReadInt32();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            DeviceIdentifier = input.ReadString();
            break;
          }
          case 16: {
            ConnectorId = input.ReadInt32();
            break;
          }
          case 26: {
            IdTag = input.ReadString();
            break;
          }
          case 32: {
            MeterStart = input.ReadInt32();
            break;
          }
          case 40: {
            ReservationId = input.ReadInt32();
            break;
          }
          case 58: {
            IdTagInfo = input.ReadString();
            break;
          }
          case 64: {
            TransactionId = input.ReadInt32();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
